Error: Failed to synchronize cache for repo 'codeready-builder-for-rhel-8-x86_64-eus-debug-rpms'

Latest response

Hi There,

Everytime I try to install anything, keep getting the following error code.

Error: Failed to synchronize cache for repo 'codeready-builder-for-rhel-8-x86_64-eus-debug-rpms'

[root@localhost yum.repos.d]# cat AppStream.repo
[AppStream]
name="App Stream Repo"
baseurl=file:///rpms/AppStream/
enabled=1
gpgcheck=0

[root@localhost yum.repos.d]# cat BaseOS.repo
[BaseOS]
name="BaseOS Repo"
baseurl=file:///rpms/BaseOS/
enabled=1
gpgcheck=0

No matter, how I create the repo, keep getting the following error all the time, tried almost every online solution, no go.

[root@localhost ~]# yum install httpd
Updating Subscription Management repositories.
App Stream Repo 3.1 MB/s | 3.2 kB 00:00
BaseOS Repo 2.7 MB/s | 2.7 kB 00:00
Red Hat Ansible Engine 2 for RHEL 8 x86_64 (Deb 1.3 kB/s | 3.7 kB 00:02
Red Hat Ansible Engine 2 for RHEL 8 x86_64 (RPM 5.4 kB/s | 4.0 kB 00:00
Red Hat Ansible Engine 2 for RHEL 8 x86_64 (Sou 2.2 kB/s | 3.7 kB 00:01
Red Hat Ansible Engine 2.8 for RHEL 8 x86_64 (D 215 B/s | 2.6 kB 00:12
Red Hat Ansible Engine 2.8 for RHEL 8 x86_64 (R 48 kB/s | 431 kB 00:09
Red Hat Ansible Engine 2.8 for RHEL 8 x86_64 (S 371 B/s | 2.8 kB 00:07
Red Hat CodeReady Linux Builder for RHEL 8 x86_ 460 kB/s | 3.7 MB 00:08
Red Hat CodeReady Linux Builder for RHEL 8 x86_ 1.7 B/s | 10 B 00:05
Error: Failed to synchronize cache for repo 'codeready-builder-for-rhel-8-x86_64-eus-debug-rpms'

Error: Failed to synchronize cache for repo 'codeready-builder-for-rhel-8-x86_64-eus-debug-rpms'

And why do I keep getting this Red Hat Ansible Engine 2, when I don't have Ansible installed?

Responses

Additionally, I tried the following and still no go.

sudo subscription-manager repos --enable "codeready-builder-for-rhel-8-x86_64-eus-debug-rpms" Repository 'codeready-builder-for-rhel-8-x86_64-eus-debug-rpms' is enabled for this system.

Hi Chiduruppa,

Disable the codeready-builder-for-rhel-8-x86_64-eus-debug-rpms repository ... you don't need it.
It might be a temporary issue with the Red Hat servers, clean DNF and the cache and try it again. :)

sudo subscription-manager repos --disable codeready-builder-for-rhel-8-x86_64-eus-debug-rpms
sudo dnf clean all
sudo rm -r /var/cache/dnf
sudo dnf upgrade

Regards,
Christian

Hi Christian,

Thank you for helping me out. Unfortunately, steps did not work... :(

[root@localhost ~]# sudo subscription-manager repos --disable codeready-builder-for-rhel-8-x86_64-eus-debug-rpms Repository 'codeready-builder-for-rhel-8-x86_64-eus-debug-rpms' is disabled for this system. [root@localhost ~]# sudo dnf clean all Updating Subscription Management repositories. 68 files removed [root@localhost ~]# sudo rm -r /var/cache/dnf [root@localhost ~]# sudo dnf upgrade

Updating Subscription Management repositories. App Stream Repo 30 MB/s | 5.3 MB 00:00
BaseOS Repo 26 MB/s | 2.2 MB 00:00
Red Hat Ansible Engine 2 for RHEL 8 x86_64 (Debug RPMs) 209 B/s | 2.6 kB 00:12
Red Hat Ansible Engine 2 for RHEL 8 x86_64 (RPMs) 72 kB/s | 514 kB 00:07
Red Hat Ansible Engine 2 for RHEL 8 x86_64 (Source RPMs) 485 B/s | 3.0 kB 00:06
Red Hat Ansible Engine 2.8 for RHEL 8 x86_64 (Debug RPMs) 181 B/s | 2.6 kB 00:14
Red Hat Ansible Engine 2.8 for RHEL 8 x86_64 (RPMs) 71 kB/s | 431 kB 00:06
Red Hat Ansible Engine 2.8 for RHEL 8 x86_64 (Source RPMs) 506 B/s | 2.8 kB 00:05
Red Hat CodeReady Linux Builder for RHEL 8 x86_64 (Debug RPMs) 402 kB/s | 3.8 MB 00:09
Red Hat CodeReady Linux Builder for RHEL 8 x86_64 - Extended Update Support (RPMs) 1.6 B/s | 10 B 00:06
Error: Failed to synchronize cache for repo 'codeready-builder-for-rhel-8-x86_64-eus-rpms'

[root@localhost ~]# yum install vfstpd

Updating Subscription Management repositories. Red Hat CodeReady Linux Builder for RHEL 8 x86_64 - Extended Update Support (RPMs) 1.3 B/s | 10 B 00:07
Error: Failed to synchronize cache for repo 'codeready-builder-for-rhel-8-x86_64-eus-rpms' [root@localhost ~]#

Hi Chiduruppa,

Not nice, but as I said : it might be a temporary issue with the Red Hat servers.
Please try it later again and if it still doesn't work contact Customer Service. :)

Regards,
Christian

I'm having this issue, too, but I think I solved it with the help of this post.

In the first response to your issue, it was suggested to disable the repo

codeready-builder-for-rhel-8-x86_64-eus-debug-rpms

When you say it doesn't work, it does, it just takes a few more steps.

Your second error is:

Error: Failed to synchronize cache for repo 'codeready-builder-for-rhel-8-x86_64-eus-rpms'

Looking at the end, that's not the same as "eus-debug-rpms".

I had to disable three repos to solve the issue: eus-debug-rpms, eus-source-rpms, & eus-rpms.

Hope this helps!

Thank you for trying to help and unfortunately, it did not work. I disabled all the 3 repos listed by you manually. And additionally, tried disabling the -eus-debug-rpms, still gives the same error.

[root@localhost ~]# sudo subscription-manager repos --disable codeready-builder-for-rhel-8-x86_64-eus-debug-rpms Repository 'codeready-builder-for-rhel-8-x86_64-eus-debug-rpms' is disabled for this system. [root@localhost ~]# dnf repolist Updating Subscription Management repositories. Red Hat Enterprise Linux 8 for x86_64 - AppStream - Extended Update Support (Debug RPMs) 2.2 B/s | 10 B 00:04
Error: Failed to synchronize cache for repo 'rhel-8-for-x86_64-appstream-eus-debug-rpms'

I would be trying Christian instructions and update the status shortly.

Hi Chiduruppa,

I just saw that you have also the codeready-builder-for-rhel-8-x86_64-eus-rpms enabled - which you don't need as well.
EUS means Extended Update Support and I think you really don't need it (atm). Best would be to start over from scratch.

Un-register the system :

sudo subscription-manager remove --all
sudo subscription-manager unregister
sudo subscription-manager clean

Re-register the system :

sudo subscription-manager register
sudo subscription-manager refresh

Attach to subscription :

sudo subscription-manager attach --auto

Clean DNF and cache :

sudo dnf clean all
sudo rm -r /var/cache/dnf

Update the resources :

sudo dnf upgrade

You should have the BaseOS, and the AppStream repositories enabled.
You may want to enable the CodeReady Builder repository additionally.

sudo subscription-manager repos --enable codeready-builder-for-rhel-8-x86_64-rpms

Everything should work as expected ... please report back the results. :)

Regards,
Christian

Hi Christian,

Finally got some time to work on it and strangely, something changed on OS right after reboot, maybe it got updated automatically. But was asking to setup a user account locally and created a home directory and user account with that name.

Now, I am getting the following error, no matter what I use DNF or Yum

sudo dnf upgrade Traceback (most recent call last): File "/bin/dnf", line 58, in main.user_main(sys.argv[1:], exit_code=True) File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 193, in user_main errcode = main(args) File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main return _main(base, args, cli_class, option_parser_class) File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 95, in _main cli.configure(list(map(ucd, args)), option_parser()) File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 915, in configure self.base.init_plugins(opts.disableplugin, opts.enableplugin, self) File "/usr/lib/python3.6/site-packages/dnf/base.py", line 306, in init_plugins self._plugins._load(self.conf, disabled_glob, enable_plugins) File "/usr/lib/python3.6/site-packages/dnf/plugin.py", line 134, in _load self._check_enabled(conf, enable_plugins) File "/usr/lib/python3.6/site-packages/dnf/plugin.py", line 119, in _check_enabled

Please help.

[root@localhost ~]# sudo dnf clean all Traceback (most recent call last): File "/bin/dnf", line 58, in main.user_main(sys.argv[1:], exit_code=True) File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 193, in user_main errcode = main(args) File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main return _main(base, args, cli_class, option_parser_class) File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 95, in _main cli.configure(list(map(ucd, args)), option_parser())

Hi Chiduruppa,

That doesn't look good ... seems something is messed up badly. My suggestion : Un-register
the system and reinstall it from scratch. It most probably takes less time than trying to fix. :)

Regards,
Christian

It works for me! Thank you!

You're welcome, Joel ! :)